org.apache.ignite.internal.processors.cache

## Class CacheJoinNodeDiscoveryData.CacheInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheJoinNodeDiscoveryData.CacheInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  CacheJoinNodeDiscoveryData

    public static class CacheJoinNodeDiscoveryData.CacheInfo
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheInfo(StoredCacheData cacheData, CacheType cacheType, boolean sql, long flags, boolean staticallyConfigured)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StoredCacheData` `cacheData()`
`CacheType` `cacheType()`
`boolean` `isStaticallyConfigured()`
`boolean` `sql()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheInfo

    public CacheInfo(StoredCacheData cacheData,
                     CacheType cacheType,
                     boolean sql,
                     long flags,
                     boolean staticallyConfigured)

Parameters:
  `cacheData` - Cache data.
  `cacheType` - Cache type.
  `sql` - SQL flag - `true` if cache was created with `CREATE TABLE`.
  `flags` - Flags (for future usage).
  `staticallyConfigured` - `true` if it was configured by static config and `false` otherwise.

### Method Detail

#### cacheData

    public StoredCacheData cacheData()

Returns:
  Cache data.

#### cacheType

    public CacheType cacheType()

Returns:
  Cache type.

#### sql

    public boolean sql()

Returns:
  SQL flag - `true` if cache was created with `CREATE TABLE`.

#### isStaticallyConfigured

    public boolean isStaticallyConfigured()

Returns:
  `true` if it was configured by static config and `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018